/** mbed tune.h for orgel data of tune notes
 * Copyright (c) 2015 Motoo Tanaka @ Design Methodology Lab
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
 
#ifndef _TUNE_H_
#define _TUNE_H_ 

#if 0
/*
 * Sample tune: scale in C
 */
float tempo = 100.0 ; 
unsigned char note[] = {
     3,  5,  7,  8, // C4, D4, E4, F4,
    10, 12, 14, 15, // G4, A4, B4, C5,
    17, 19, 20, 22, // D5, E5, F5, G5,
    24, 26, 27, 29, // A5, B5, C6, D6
    31, 32, 34, 36, // E6, F6, G6, A6
    38, 39,         // B6, C7,
} ;
#endif
#if 1
/*
 * Sample tune: Greensleeves
 */
float tempo = 90.0 ;
unsigned char note[] = {
  12, 12,                   // A4, A4,
  15, 15, 15, 15, 17, 17,   // C5, C5, C5, C5, D5, D5
  19, 19, 19, 20, 19, 19,   // E5, E5, E5, F5, E5, E5
  17, 17, 17, 17, 14, 14,   // D5, D5, D5, D5, B4, B4
  10, 10, 10, 12, 14, 14,   // G4, G4, G4, A4, B4, B4
  
  15, 15, 15, 15, 12, 12,   // C5, C5, C5, C5, A4, A4
  12, 12, 12, 11, 12, 12,   // A4, A4, A4, G#4, A4, A4
  14, 14, 14, 14, 11, 11,   // B4, B4, B4, B4, G#4, G#4 
   7,  7,  7,  7, 12, 12,   // E4, E4, E4, E4, A4, A4
   
  15, 15, 15, 15, 17, 17,   // C5, C5, C5, C5, D5, D5
  19, 19, 19, 20, 19, 19,   // E5, E5, E5, F5, E5, E5
  17, 17, 17, 17, 14, 14,   // D5, D5, D5, D5, B4, B4
  10, 10, 10, 12, 14, 14,   // G4, G4, G4, A4, B4, B4
  
  15, 15, 15, 14, 12, 12,   // C5, C5, C5, B4, A4, A4,
  11, 11, 11,  9, 11, 11,   // G#4, G#4, G#4, F#4, G#4, G#4
  12, 12, 12, 12,  0,  0,   // A4 , A4, A4, A4, r,  r
   0,  0,  0,  0,  0,  0,   // r, r, r, r, r, r
   
  22, 22, 22,  0, 22, 22,   // G5, G5, G5,  r, G5, G5,
  22, 22, 22, 21, 19, 19,   // G5, G5, G5, F#5, E5, E5,
  17, 17, 17, 17, 14, 14,   // D5, D5, D5, D5, B4, B4
  10, 10, 10, 12, 14, 14,   // G4, G4, G4, A4, B4, B4
  
  15, 15, 15, 15, 12, 12,   // C5, C5, C5, C5, A4, A4
  12, 12, 12, 11, 12, 12,   // A4, A4, A4, G#4, A4, A4
  14, 14, 14, 14, 11, 11,   // B4, B4, B4, B4, G#4, G#4 
   7,  7,  7,  7,  0,  0,   // E4, E4, E4, E4, A4, A4
  
  22, 22, 22,  0, 22, 22,   // G5, G5, G5,  4, G5, G5
  22, 22, 22, 21, 19, 19,   // G5, G5, G5, F#5, E5, E5
  17, 17, 17, 17, 14, 14,   // D5, D5, D5, D5, B4, B4
  10, 10, 10, 12, 14, 14,   // G4, G4, G4, A4, B4, B4
  
  15, 15, 15, 14, 12, 12,   // C5, C5, C5, B4, A4, A4,
  11, 11, 11,  9, 11, 11,   // G#4, G#4, G#4, F#4, G#4, G#4
  12, 12, 12, 12, 12, 12,   // A4 , A4, A4, A4, r,  r
   0,  0,  0,  0,           // r, r, r, r, DC
} ;
#endif

int num_notes = sizeof(note)/sizeof(unsigned char) ;

#endif /* _TUNE_H_ */